<xml> </xml>

Better ListView Class Reference |

# HashList(TKey,TValue) Class

Dictionary maintaining order of items.

For a list of all members of this type, see HashList(TKey,TValue) Members .

System.Object
HashList(TKey,TValue)

[DefaultMember(MemberName=""Item"")]
public class HashList<TKey, TValue> : IDictionary<TKey, TValue>, ICollection<T>, IEnumerable<T>, IEnumerable

#### Generic template parameters

TKey
  key type
TValue
  value type

#### Thread Safety

Public static (Shared in Visual Basic) members of this type are safe for multithreaded operations. Instance members are not guaranteed to be thread-safe.

#### Requirements

Namespace: ComponentOwl.BetterListView.Collections

Assembly: BetterListView (in BetterListView.dll)

#### See Also

HashList(TKey,TValue) Members | ComponentOwl.BetterListView.Collections Namespace